import java.awt.Color;
import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import javax.swing.JFileChooser;
import javax.swing.JPanel;





public class Pestana2 extends JPanel{
	
	
	private static final long serialVersionUID = 1L;
	
	//Declaramos los atributos de la clase
	
	//Etiquetas
	Etiqueta jLabel19= null;
	Etiqueta jLabel16= null;
	Etiqueta jLabelInstalar= null;
	
	//Desplegables
	
	 Desplegable jComboBox51 = null;
	 Desplegable jComboBox3 = null;
	 
	 //Botones
	 
	 Boton jButton11 = null; 


	public Pestana2() {
		
		
		
		this.setLayout(null);
        this.setBackground(new Color(Integer.valueOf(Configuracion.propiedades.getProperty("colorprima1")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima2")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima3"))));
        this.setPreferredSize(new Dimension(97, 140));
        this.setVisible(true);
        
		getLabels();
		
					
		// Aado los botones
		
		getBoton();
		
		//Aado los Desplegables
		
		getDesplegable();
	}
	
	private void getLabels(){
		
		
     
        jLabel19 = new Etiqueta(10, 15, 177, 26, "l_diccolab" );
        jLabel16 = new Etiqueta(10, 75, 197, 24, "l_diccinst" );
        jLabelInstalar = new Etiqueta(10, 175, 290, 26, "l_instadicc" );
        
              
        //Aado los labels
		
		this.add(jLabel19, null);
		this.add(jLabel16, null);
		this.add(jLabelInstalar, null);
		
			
		
	}
	
	 private void getDesplegable(){
		 
		 jComboBox3 = new Desplegable(220, 75, 83, 24);
		 jComboBox51 = new Desplegable(190, 15, 112, 24);
		 jComboBox51.setMaximumRowCount(14);


			
		//aado al panel
		
		this.add(jComboBox3, null);
		this.add(jComboBox51, null);
			
		 
	 }
	
	 
	private void getBoton(){
			
			//Aado boton
			jButton11 = new Boton(51, 145, 209, 26,"b_instadicc",2);
		
			this.add(jButton11,null);
	}
	
	public void configurarEventosPestana(final Configuracion config, final Pestana1 pestana1, final Aplicacion aplicacion, final Ventana controlador ){
		
		
	       jComboBox3.addActionListener(new ActionListener(){
			public void actionPerformed(ActionEvent e) {
				config.cambiarDiccionario(String.valueOf(jComboBox3.getSelectedItem()));
				if (Configuracion.propiedades.getProperty("tipoDic").equals("Local")){
					pestana1.jLabelDiccionario.setText(Configuracion.propiedades.getProperty("dicLocDefault"));
				}
				//cambia diccionario tb en tray (si esta en windows claro)
				aplicacion.creaTray();
				
				if (!pestana1.jTextField.getText().equals(""))
					aplicacion.buscarTermino(pestana1.jTextField.getText(),false);
			}	
	    });
		  
		
	
	jButton11.addMouseListener(new java.awt.event.MouseAdapter() {
		public void mouseClicked(java.awt.event.MouseEvent e) {
			JFileChooser fileChooser = new JFileChooser();
			//Creamos el filtro para ver solo archivos .java
			fileChooser.setFileFilter(new javax.swing.filechooser.FileFilter ()
			{
			//Esta funcion es la que mostrara los archivos
			//con la extension que quieres y los directorios
			public boolean accept (File file)
			{
			String filename = file.getName();
			return (filename.endsWith(".properties") || file.isDirectory());
			}
			//Esta funcion muestra el texto en la lista de opciones de ficheros para ver
			public String getDescription()
			{
			return "Archivos de diccionario (*.properties)";
			}
			});
			int seleccion = fileChooser.showOpenDialog(controlador);
			if (seleccion == JFileChooser.APPROVE_OPTION)
			{
			   File fichero = fileChooser.getSelectedFile();
			   // y a trabajar con fichero ....
			   File dst = new File("diccionarios/"+fichero.getName());
			   
			   try{ 
		       InputStream in = new FileInputStream(fichero);
		       OutputStream out = new FileOutputStream(dst);
		       
		       //Algoritmo de copia de ficheros
		       byte[] buf = new byte[1024];
		       int len;
		       while ((len = in.read(buf)) > 0) {
		           out.write(buf, 0, len);
		       }
		       in.close();
		       out.close(); 
		       //fin copia
		       
		       }catch(Exception ex){
		    	   System.out.println(e);
		       }
			}
		}		
	});
	
	jComboBox51.addActionListener(new ActionListener(){
		public void actionPerformed(ActionEvent e) {
			
			
			config.cambiaDicColab(String.valueOf(jComboBox51.getSelectedItem()));
			config.cambiaIndiceColab(String.valueOf(jComboBox51.getSelectedIndex()));
						
			//cambia diccionario tb en tray (si esta en windows claro)
			aplicacion.accionCambiarDiccionario();
			

		}
    });


	}    
	
	public void cambiarColorInterfaz(){
		this.setBackground(new Color(Integer.valueOf(Configuracion.propiedades.getProperty("colorprima1")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima2")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima3"))));
		jComboBox51.cambiarColorInterfaz();
		jComboBox3.cambiarColorInterfaz();
		jButton11.cambiarColorInterfaz();

	}
	
	public void cambiarIdiomaInterfaz(){
		
		//cambiamos las etiquetas
		jLabel19.cambiarIdiomaInterfaz();
		jLabel16.cambiarIdiomaInterfaz();
		jLabelInstalar.cambiarIdiomaInterfaz();
		
		//cambiamos los botones
		jButton11.cambiarIdiomaInterfaz();
	}
	
	
}	

	


