/* CoolTran, traductor de trminos.
 * 
 * Copyright (C) 2007
 *
 * Authors: Javier Garca Palacios <jgarcia1709@gmail.com>
 *          Diego Sevillano de Miguel <sevas85@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 */

import java.sql.*;


public class Version {

	String cadNombreVersion = "";
	String cadUrlEjecutable = "";
	String cadVersionBD = "";
	String cadSO = "";
	String cadVersionPropiedades= "";
	Connection con = null;

	
	public  Version(String Sistema, Conexion conexion){
		
		con = conexion.con;
		cadSO = Sistema;
		cadVersionPropiedades = Configuracion.propiedades.getProperty("version");
		
	}

	
	public boolean comprobarVersion(){
		
		String query;
		boolean versionNueva = false;
		String SO2= "";
		Statement stmt = null;
		ResultSet res = null;
		
			
		if (cadSO.toLowerCase().contains("windows")){		
			SO2="windows";
		}
		
		if (cadSO.toLowerCase().contains("linux")){
			
			SO2="linux";
		}
		
		query ="select nombre,version,url from `version` where  so = '"+SO2+"' " +
				"AND version > "+cadVersionPropiedades+" order by version DESC limit 1 ";
		
		try {
			
		
			
			stmt =(Statement) con.createStatement();
			res = (ResultSet) stmt.executeQuery(query);
			
			
			while (res.next()){
		          
				cadNombreVersion = res.getString(1);
				cadVersionBD = res.getString(2);
				cadUrlEjecutable = res.getString(3);
				versionNueva = true;
				
			}
				
		
		} catch (SQLException e) {
			System.out.println("Error Comprobando version");
			e.printStackTrace();
		}
		return versionNueva;
	
	}
	
	public String getVersion(){
		if (!cadVersionBD.equals("")){
			return cadVersionBD;
		}	
		return cadVersionPropiedades;
	}
	
	public String getUrl(){
			
		return cadUrlEjecutable;
	}
	
	public String getNombre(){
		
		return cadNombreVersion;
	}
	
	

}
