import java.awt.Color;
import java.awt.ComponentOrientation;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import java.io.File;
import java.io.IOException;
import java.net.URL;

import javax.swing.JPanel;




public class Pestana1 extends JPanel{
	
	
	private static final long serialVersionUID = 1L;
	
	//Declaramos los atributos de la clase
	
	Etiqueta jLabel3= null;
	Etiqueta jLabelvalorar= null;
	Etiqueta jLabel5= null;
	Etiqueta jLabelDiccionario= null;
	
	//	Boton
	 
	 Boton jButton = null;
	 
	 //Desplegable
	 
	 Desplegable jComboBox = null; 
	 Desplegable jComboBoxvalorar = null; 
	 Desplegable jComboBox4 = null;
	 
	 //CampoTexto
	 CampoTexto jTextField = null;
	 
	 //ScrollPane
	 
	 ScrollPane jScrollPane = null;
		

	public Pestana1() {
		
		
		this.setLayout(null);
		this.setFont(new Font("Dialog", Font.PLAIN, 14));
		this.setBackground(new Color(Integer.valueOf(Configuracion.propiedades.getProperty("colorprima1")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima2")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima3"))));
		this.setForeground(new Color(51, 51, 51));
		
		//Aado los labels
		
		getLabels();
			
		
		//Aado el Boton
		
		getBoton();
		
		//Aado los Desplegables
		
		getDesplegable();
		
		//Aado el CampoTexto
		
		getCampoTexto();	
		
		// Aado al panel botones y todo lo demas
		
		getScrollPane();

	}
	
	private void getLabels(){
		
		
		jLabel3 = new Etiqueta(10, 222, 180, 23, "l_valorar" );
		jLabelvalorar = new Etiqueta(190, 222, 50, 23, "l_valorar2" );
		jLabel5 = new Etiqueta(10, 275, 250, 26 );
		jLabel5.setText("CoolTran");
        jLabel5.setForeground(Color.black);
		jLabelDiccionario = new Etiqueta(205, 275, 100, 26, "dicLocDefault",10 );
		jLabelDiccionario.setComponentOrientation(ComponentOrientation.RIGHT_TO_LEFT);
		
		//Aado los labels
		
		this.add(jLabel3, null);
		this.add(jLabelvalorar, null);
		this.add(jLabel5, null);
		this.add(jLabelDiccionario, null);
					
	}
	
	private void getScrollPane() {
		
		jScrollPane = new ScrollPane();
		this.add(jScrollPane,null);

	}

	
	private void getCampoTexto(){
		 
		jTextField = new CampoTexto(10, 15, 135, 22);
			
		this.add(jTextField,null);
	 }
	
	 private void getDesplegable(){
		 
		 jComboBox = new Desplegable(230, 222, 72, 22);
		 jComboBoxvalorar = new Desplegable(140, 222, 43, 22);
		 jComboBox4 = new Desplegable(232, 15, 70, 22);
		 jComboBox4.addItem(Configuracion.messages.getString("combo_local"));
	
			
		//aado al panel
		
		this.add(jComboBox, null);
		this.add(jComboBoxvalorar, null);
		this.add(jComboBox4, null);
			
		 
	 }
	
	private void getBoton(){
		
		//Aado boton
		jButton = new Boton(151, 15, 75, 22,"b_buscar",2);
	
		this.add(jButton,null);
}
		
	public void configurarEventosPestana(final Configuracion config, final Aplicacion aplicacion ){
	
	  jComboBox4.addActionListener(new ActionListener(){
			public void actionPerformed(ActionEvent e) {
				if(String.valueOf(jComboBox4.getSelectedItem()).equals(Configuracion.messages.getString("combo_local"))){
					config.cambiaTipoDic("Local");					
					jLabel3.setVisible(false);
					jComboBox.setVisible(false);
					jComboBoxvalorar.setVisible(false);
					jLabelvalorar.setVisible(false);
					jLabelDiccionario.setText(Configuracion.propiedades.getProperty("dicLocDefault"));
				}else{
					config.cambiaTipoDic("Colaborativo");
					jLabel3.setVisible(true);
					jComboBox.setVisible(true);
					jComboBoxvalorar.setVisible(true);
					jLabelvalorar.setVisible(true);
					jLabelDiccionario.setText(String.valueOf(config.colab_install.get(Integer.valueOf(Configuracion.propiedades.getProperty("indiceColaborativo")))));
				}
				//cambia tipo dic tb en tray (si esta en windows claro)
				
		     	aplicacion.creaTray();
				
			}	
	    });
	  
		jTextField.addKeyListener(new KeyAdapter() {
			public void keyReleased(KeyEvent ke) {
				String traduccion[] =null;
				if (ke.getKeyCode() == KeyEvent.VK_ENTER) {
					
					traduccion = aplicacion.buscarTermino(jTextField.getText(),false);
					setTraduccion(traduccion);				
				}	
			}
		}); 
		
		jButton.addKeyListener(new KeyAdapter() {
			public void keyReleased(KeyEvent ke) {
				String traduccion[] =null;
				if (ke.getKeyCode() == KeyEvent.VK_ENTER) {
					
					traduccion = aplicacion.buscarTermino(jTextField.getText(),false);
					setTraduccion(traduccion);
				}
			}
		});
		
		jButton.addMouseListener(new java.awt.event.MouseAdapter() {
			public void mouseClicked(java.awt.event.MouseEvent e) {
				String traduccion[] =null;
				traduccion = aplicacion.buscarTermino(jTextField.getText(),false);
				setTraduccion(traduccion);
			}		
		});	
		
	    jComboBox.addActionListener(new ActionListener() {
			
			public void actionPerformed(ActionEvent arg0) {
				// TODO Auto-generated method stub
				int valor = jComboBox.getSelectedIndex();
				int valorValorar = jComboBoxvalorar.getSelectedIndex();
				Boolean valido = false;
				
				valido = aplicacion.valorarTermino(valor , valorValorar);
				
	
				if (valido){
					jLabel5.setText(Configuracion.messages.getString("msj_valoracion"));
				}else{
					jLabel5.setText(Configuracion.messages.getString("msj_errorvaloracion"));
				}
								
			}
		});
	  
	}
	
	public void cambiarColorInterfaz(){
		
		this.setBackground(new Color(Integer.valueOf(Configuracion.propiedades.getProperty("colorprima1")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima2")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima3"))));
		jComboBox.cambiarColorInterfaz();
		jComboBoxvalorar.cambiarColorInterfaz();
		jComboBox4.cambiarColorInterfaz();
		jButton.cambiarColorInterfaz();
		jTextField.cambiarColorInterfaz();
		
	}
	
	public void cambiarIdiomaInterfaz(){
		
		//cambiamos las etiquetas
		jLabel3.cambiarIdiomaInterfaz();
		jLabelvalorar.cambiarIdiomaInterfaz();

		
		//cambiamos los botones
		jButton.cambiarIdiomaInterfaz();
		
		//cambiamos el idioma de los desplegables
		jComboBox.removeAllItems();
		for (int i = 1; i < 4 ; i++) {
			jComboBox.addItem(Configuracion.messages.getString("l_valorar_desp_"+i));
		
		jComboBox4.removeItem("Local");
		jComboBox4.removeItem("Lokal");
		jComboBox4.addItem(Configuracion.messages.getString("combo_local"));

			
		}
	}
	
	private void setTraduccion(String[] traduccion){
		
		if (traduccion[1].equals("Local")){
			jScrollPane.panel.setText(traduccion[0]);				
		}
		
		if (traduccion[1].equals("Colaborativo")){

			try {
				
				File file = new File(traduccion[0]);
				URL toURL = file.toURL();
				java.net.URL url = toURL; 
				jScrollPane.panel.setPage(url);
				file.deleteOnExit();
						
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
	}		

}
